#!/bin/sh

function submit_job()
{
  env=
  [ -z "$4" ] || env="-e $4"
  CMD="cqsub -q short -t 10 -n $1 -m $2 -O $3 $env ./bginfo"
  echo "# ======================================================================" >> bginfo-results.txt
  echo "" >> bginfo-results.txt
  echo "\$ $CMD " >> bginfo-results.txt
  echo "Submit a job"
  C_ID=`$CMD 2>&1`
  echo "Waiting for boot"
  zinfo -w -c ${C_ID}
  echo "Waiting until done"
  until grep -q '[done]' $3.output ; do sleep 1 ; done
  echo "\$ cat $3.output" >> bginfo-results.txt
  cat $3.output >> bginfo-results.txt
  echo "" >> bginfo-results.txt
  rm -f $3.*
}

make
[ -x ./bginfo ] || exit 1 

rm -f bginfo-results.txt

submit_job 64 vn bginfo-64-vn-txyz BGLMPI_MAPPING=TXYZ 
submit_job 64 vn bginfo-64-vn
submit_job 33 co bginfo-33.co
submit_job 32 co bginfo-32-co

  echo "# ======================================================================" >> bginfo-results.txt

mv bginfo-results.txt bginfo-results-sample.txt

exit 0

